@charset "utf-8";

body.modal-open {
    padding-right: 0 !important;
}

.modal-backdrop {
    display: none !important;
}

.gjs-dashed .modal {
    opacity: 1 !important;
    position: relative;
    display: block;
}

.gjs-dashed .modal-dialog-centered {
    min-height: auto !important;
}

.galleryCateBx section {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 6%;
}

.galleryCatTxt {
    transition: all .3s;
    color: #8997A2;
    font-size: clamp(16px, 15.029px + 0.259vw, 20px);
}

.galleryCateBtn a:hover .galleryCatTxt,
.galleryCateBtn a.is-active .galleryCatTxt {
    color: var(--primary);
}

.firstBox:nth-of-type(n + 2) {
    display: none;
}

.galleryMainBx section {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 10px;
}

.modalBtn {
    cursor: pointer;
}

.galleryImg {
    aspect-ratio: 320/430;
    overflow: hidden;
}

.galleryImg img {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    transition: all.3s;
}

.modalBtn:hover img {
    transform: scale(1.05);
}

.galleryImg>img+.noImg {
    display: none;
}

.webgene-pagination {
    width: 100%;
    grid-column: 1/3;
}

.modal-backdrop {
    z-index: 999999999;
}

.modalCloseBtn {
    position: fixed;
    top: 25px;
    right: 25px;
    width: 35px;
    aspect-ratio: 1/1;
    z-index: 9999999999;
    background: var(--white);
    border-radius: 100%;
    border: 1px solid var(--primary);
    transition: all .3s;
    cursor: pointer;
}

.modalCloseBtn:hover {
    opacity: .7;
}

.modalCloseBtn::before,
.modalCloseBtn::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 70%;
    height: 1px;
    margin: auto;
    background: var(--primary);
}

.modalCloseBtn::before {
    transform: rotate(45deg);
}

.modalCloseBtn::after {
    transform: rotate(-45deg);
}

.galleryModal {
	isolation: isolate; 
    -webkit-overflow-scrolling: touch;
	display: none;
	position: fixed !important;
    top: 0 !important;
    left: 0 !important;
    width: 100% !important;
    height: 100% !important;
    padding: 15px;
	background-color: rgba(0, 0, 0, 0.7) !important;
	z-index: 10000 !important;
	opacity: 0;
	transition: opacity .3s;
}

.galleryModal.show {
    display: flex !important;    /* Flexboxを強制 */
    align-items: center;         /* 上下中央 */
    justify-content: center;    /* 左右中央 */
	opacity: 1;
}

.galleryModalAr {
	position: relative;
	z-index: 10001 !important;
    width: 100%;
    max-width: 600px;
    max-height: 100%;
    overflow-y: auto;
    margin: auto;
    padding: 15px 15px 25px 15px;
    background: var(--white);
	opacity: 1 !important;
}

.galleryModalAr::-webkit-scrollbar {
    width: 10px;
    /* 横幅 */
}

.galleryModalAr::-webkit-scrollbar-thumb {
    background: var(--primary);
    /* ハンドルの色 */
}

.galleryModalAr::-webkit-scrollbar-track {
    background: var(--white);
    /* 背景色 */
}

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
@media screen and (min-width: 576px) {

    .galleryMainBx section {
        grid-template-columns: repeat(3, 1fr);
    }

    .webgene-pagination {
        grid-column: 1/4;
    }

}

/* min-width: 576px ここまで */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */


/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
@media screen and (min-width: 768px) {

    .galleryMainBx section {
        grid-template-columns: repeat(4, 1fr);
    }

    .webgene-pagination {
        grid-column: 1/5;
    }

    .modalCloseBtn {
        width: 50px;
    }

    .galleryModal {
        padding: 25px;
    }

    .galleryModalAr {
        width: 100%;
        max-width: 600px;
        max-height: 100%;
        overflow-y: auto;
        margin: auto;
        padding: 25px 25px 40px 25px;
    }

}

/* min-width: 768px ここまで */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
@media screen and (min-width: 1024px) {

    .galleryMainBx section {
        gap: 15px 20px;
    }
}

/* min-width: 1024px ここまで */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */